[osg-users] 3rdParty Plugins Visual Studio 2008

Jean-Sébastien Guay jean-sebastien.guay at cm-labs.com
Sun Sep 7 10:56:08 PDT 2008


Hello Luc,

> Is someone successfully running osg2.6.0 with these 3rdParty Plugins and 
> Visual Studio 2008?

This has come up already in the past. Visual Studio 2008 is VS9.0, and 
Visual Studio 2005 is VS8.0. So the 3rdparty binaries in that repo are 
for VS8.0sp1 (= VS 2005 sp1), not VS9.0 (= VS 2008) which is what you 
have. (confusing I know)

Using those binaries with VS 2008 works for some people, but not for 
others (you're in this category it seems). You'll need to download the 
dependencies' sources and compile them with VS 2008 yourself. But check 
the files from the repo you downloaded, there are some hints on how Mike 
did it for VS 2005, it should be a similar process for VS 2008.

BTW, no one has yet stepped up to provide these binaries for VS 2008 
(even though I'm sure you're not the first one to compile the 
dependencies with VS 2008 to build OSG with that compiler). So if you 
want to make your binaries available once you've built them, I'm sure it 
would be appreciated by lots of other people in the same position as you 
are in the future... It's pretty low maintenance - it's pretty rare that 
we need to move to newer versions of those packages.

Hope this helps,

J-S
-- 
______________________________________________________
Jean-Sebastien Guay    jean-sebastien.guay at cm-labs.com
                                http://www.cm-labs.com/
                         http://whitestar02.webhop.org/



More information about the osg-users mailing list